package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 暂存柜对象 t_zcg
 *
 * @author hxhq
 * @date 2025-12-18
 */
@TableName("t_zcg")
public class Zcg extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 暂存柜名称 */
    private String mc;

    /** 钥匙1领取人ID */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long lqr1Id;

    /** 钥匙1领取人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String lqr1Mc;

    /** 钥匙1领取人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String lqr1McEn;

    /** 钥匙2领取人ID */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long lqr2Id;

    /** 钥匙2领取人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String lqr2Mc;

    /** 钥匙2领取人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String lqr2McEn;

    /** 状态：1：未借用；5：借用中 */
    private Integer zt;

    /** 关联药剂 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String glyj;

    public String getLqr1McEn() {
        return lqr1McEn;
    }

    public void setLqr1McEn(String lqr1McEn) {
        this.lqr1McEn = lqr1McEn;
    }

    public String getLqr2McEn() {
        return lqr2McEn;
    }

    public void setLqr2McEn(String lqr2McEn) {
        this.lqr2McEn = lqr2McEn;
    }

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public String getGlyj() {
        return glyj;
    }

    public void setGlyj(String glyj) {
        this.glyj = glyj;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public Long getLqr1Id() {
        return lqr1Id;
    }

    public void setLqr1Id(Long lqr1Id) {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr2Id() {
        return lqr2Id;
    }

    public void setLqr2Id(Long lqr2Id) {
        this.lqr2Id = lqr2Id;
    }

    public void setZt(Integer zt)
    {
        this.zt = zt;
    }

    public Integer getZt()
    {
        return zt;
    }

}
